Patch counterparty
Counterparties
Patch counterparty
Patch an existing counterparty
PATCH
Patch counterparty
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Counterparty ID
Pattern:
^cp_[a-zA-Z0-9]{27}$Example:
"cp_2ofTA13AD0xBtbEvBl20aEb1hEu"
Body
application/json
- Patch Individual Counterparty Request
- Patch Business Counterparty Request
Available options:
individual A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
The date of birth in YYYY-MM-DD format.
ISO 3166-1 alpha-3 country code
Example:
"USA"
Available options:
tin, nit, cc, ce, passport, cpf, cnpj, rfc, curp, cuit, cuil - Update Bank Payment Method
- Update Crypto Payment Method
Response
The newly updated counterparty object
- Option 1
- Option 2
A valid Counterparty ID
Pattern:
^cp_[a-zA-Z0-9]{27}$Example:
"cp_2ofTA13AD0xBtbEvBl20aEb1hEu"
Available options:
individual ISO 3166-1 alpha-3 country code
Example:
"USA"
- Option 1
- Option 2
Example:
{
"type": "bank",
"rail": ["fedwire"],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"id": "bank_1234",
"sortCode": "12-34-56"
}Available options:
active, compliance_rejected, in_compliance_review, deleted A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
Available options:
tin, nit, cc, ce, passport, cpf, cnpj, rfc, curp, cuit, cuil 
